Loading...
Searching...
No Matches
Ogre::TerrainLodManager::LoadLodRequest Struct Reference

`#include <OgreTerrainLodManager.h>`

## Public Member Functions

| LoadLodRequest (TerrainLodManager *r, uint16 preparedLod, uint16 loadedLod, uint16 target)

## Public Attributes

uint16 | currentLoadedLod
uint16 | currentPreparedLod
uint16 | requestedLod
TerrainLodManager * | requestee

## Constructor & Destructor Documentation

## LoadLodRequest()

Ogre::TerrainLodManager::LoadLodRequest::LoadLodRequest | ( | TerrainLodManager * | r,
|  | uint16 | preparedLod,
|  | uint16 | loadedLod,
|  | uint16 | target )

inline

References Ogre::TerrainLodManager::TerrainLodManager(), currentLoadedLod, currentPreparedLod, requestedLod, and requestee.

## Member Data Documentation

## requestee

TerrainLodManager* Ogre::TerrainLodManager::LoadLodRequest::requestee

Referenced by LoadLodRequest().

## currentPreparedLod

uint16 Ogre::TerrainLodManager::LoadLodRequest::currentPreparedLod

Referenced by LoadLodRequest().

## currentLoadedLod

uint16 Ogre::TerrainLodManager::LoadLodRequest::currentLoadedLod

Referenced by LoadLodRequest().

## requestedLod

uint16 Ogre::TerrainLodManager::LoadLodRequest::requestedLod

Referenced by LoadLodRequest().

The documentation for this struct was generated from the following file:

- OgreTerrainLodManager.h